- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- DiffSide
- Try it!
Add a review comment (inline on diff) to a Pull Request.
HTTP request
POST https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:addPullRequestReviewComment
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the GitRepositoryLink in the format |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"pullRequestId": string,
"comment": {
object ( |
| Fields | |
|---|---|
pullRequestId |
Required. The ID of the Pull Request. |
comment |
Required. The review comment to add. |
commitId |
Optional. The commit SHA to comment on. If not specified, defaults to the HEAD commit of the Pull Request. |
Response body
Message representing a SCM Pull Request Review Comment (inline on diff).
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"id": string,
"body": string,
"path": string,
"firstLine": integer,
"lastLine": integer,
"side": enum ( |
| Fields | |
|---|---|
id |
Output only. The ID of the comment. |
body |
Required. The body of the comment. |
path |
Required. The file path to comment on. |
firstLine |
Optional. The first line of the comment range (inclusive). If not specified, the comment applies only to the |
lastLine |
Required. The last line of the comment range (inclusive). If |
side |
Optional. The side of the diff to comment on. Defaults to HEAD. |
author |
Output only. The username of the author. |
createTime |
Output only. When the comment was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. When the comment was updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
commitId |
Output only. The commit SHA the comment was actually applied to. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
developerconnect.gitRepositoryLinks.addPullRequestReviewComment
For more information, see the IAM documentation.
DiffSide
DiffSide represents which side of the diff the comment is on.
| Enums | |
|---|---|
DIFF_SIDE_UNSPECIFIED |
Default value. This value is unused. |
BASE |
The side of the diff before changes (deleted or modified lines). |
HEAD |
The side of the diff after changes (added or modified lines). |